Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226351 - Merge Review: qt
Summary: Merge Review: qt
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:47 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 14:32:04 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:47:34 UTC
Fedora Merge Review: qt

http://cvs.fedora.redhat.com/viewcvs/devel/qt/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-02-07 17:34:54 UTC
Guidelines-wise, looks good, only a few relatively small SHOULD (optional) items
to consider:

* icons.  SHOULD try to follow icon-spec here, and put items in/under
%_datadir/icons/hicolor/ somewhere instead of using %_datadir/pixmaps

* .desktop files: using namespace/vendor of qt-* *and* using '3' appended to
.desktop file names is redundant.  Consider removing the '3' from the .desktop
file names.

* consider changing qtdir from %{_libdir}/qt-3.3 to just %_libdir/qt3.  It would
then be consistent with qt4 packaging.  This is a big change that may induce
pain in other packages that currently hard-code the old location, so it may not
be worth it.

* -devel-docs subpkg SHOULD:
  1. should simply be -doc (corrolary: and have no dependency on -devel)
  2. assistant should be included here.

* SHOULD avoid some of the multilib ickiness, and necessity to use
/etc/ld.so.conf.d/qt*, by simply using
./configure -libdir %{_libdir}
ie, putting qt's libs into %_libdir directly.

qt4 has been using these latter 2 items with success.

Comment 2 Gianluca Sforna 2007-02-07 22:41:32 UTC
(In reply to comment #1)
> * -devel-docs subpkg SHOULD:
>   1. should simply be -doc (corrolary: and have no dependency on -devel)
>   2. assistant should be included here.
> 
I think this would break designer Help->Manual menu

Comment 3 Rex Dieter 2007-02-08 14:07:13 UTC
> I think this would break designer Help->Manual menu
How so?  It would be no less broken than the current situation (or when
qt-devel-docs wasn't installed).

Comment 4 Rex Dieter 2007-02-12 16:42:30 UTC
Considering there are no MUST blockers, I'll mark qt as approved.

We can address the SHOULD items post-merge-review.

Comment 5 Rex Dieter 2007-06-20 14:32:04 UTC
good to go, closing...


Note You need to log in before you can comment on or make changes to this bug.